path: /build/build/lib3mf-media-libs-2.3.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge media-libs/lib3mf -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps media-libs/lib3mf
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/lib3mf && luet-portage --dir /pkgdir/lib3mf
    media-libs/lib3mf && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ca818aabbd2bb1a97d3e5c44e00fd4c5c7fe9f6d251bd6dce44c4a98257287cd
  package:
    name: lib3mf
    version: 2.3.1
    category: media-libs
    use_flags:
    - -test
    requires:
    - name: libzip
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Implementation of the 3D Manufacturing Format file standard
    uri:
    - https://3mf.io/ https://github.com/3MFConsortium/lib3mf
    license: BSD
    buildtimestamp: 2024-04-14 20:16:16.136637505 +0000 UTC m=+190.122138833
    labels:
      BDEPEND: virtual/pkgconfig test? ( dev-cpp/gtest dev-libs/openssl dev-util/valgrind
        ) dev-util/ninja dev-util/cmake
      DEPEND: dev-libs/libzip:= sys-apps/util-linux sys-libs/zlib
      IUSE: test
      RDEPEND: dev-libs/libzip:= sys-apps/util-linux sys-libs/zlib
      emerge.packages: media-libs/lib3mf
      kit: media-kit
      original.package.name: media-libs/lib3mf
      original.package.slot: "0"
      original.package.version: 2.3.1
    treedir: /build/packages
  package_dir: /pkgdir/lib3mf
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: eb5a5d665b1c6e91be2d706934f8c7586feee4443e13dfad8f963f6ad1376a5a
compressiontype: zstd
files:
- usr/include/lib3mf/Bindings/C/lib3mf.h
- usr/include/lib3mf/Bindings/C/lib3mf_types.h
- usr/include/lib3mf/Bindings/CDynamic/lib3mf_dynamic.cc
- usr/include/lib3mf/Bindings/CDynamic/lib3mf_dynamic.h
- usr/include/lib3mf/Bindings/CDynamic/lib3mf_types.h
- usr/include/lib3mf/Bindings/CSharp/Lib3MF.cs
- usr/include/lib3mf/Bindings/Cpp/lib3mf_abi.hpp
- usr/include/lib3mf/Bindings/Cpp/lib3mf_implicit.hpp
- usr/include/lib3mf/Bindings/Cpp/lib3mf_types.hpp
- usr/include/lib3mf/Bindings/CppDynamic/lib3mf_abi.hpp
- usr/include/lib3mf/Bindings/CppDynamic/lib3mf_dynamic.h
- usr/include/lib3mf/Bindings/CppDynamic/lib3mf_dynamic.hpp
- usr/include/lib3mf/Bindings/CppDynamic/lib3mf_types.hpp
- usr/include/lib3mf/Bindings/Go/cfunc.go
- usr/include/lib3mf/Bindings/Go/lib3mf.go
- usr/include/lib3mf/Bindings/Go/lib3mf_dynamic.cc
- usr/include/lib3mf/Bindings/Go/lib3mf_dynamic.h
- usr/include/lib3mf/Bindings/Go/lib3mf_impl.go
- usr/include/lib3mf/Bindings/Go/lib3mf_types.h
- usr/include/lib3mf/Bindings/NodeJS/binding.gyp
- usr/include/lib3mf/Bindings/NodeJS/lib3mf_dynamic.cc
- usr/include/lib3mf/Bindings/NodeJS/lib3mf_dynamic.h
- usr/include/lib3mf/Bindings/NodeJS/lib3mf_nodeaddon.cc
- usr/include/lib3mf/Bindings/NodeJS/lib3mf_nodewrapper.cc
- usr/include/lib3mf/Bindings/NodeJS/lib3mf_nodewrapper.h
- usr/include/lib3mf/Bindings/NodeJS/lib3mf_types.h
- usr/include/lib3mf/Bindings/Pascal/Unit_Lib3MF.pas
- usr/include/lib3mf/Bindings/Python/Lib3MF.py
- usr/include/lib3mf/lib3mf_abi.hpp
- usr/include/lib3mf/lib3mf_implicit.hpp
- usr/include/lib3mf/lib3mf_types.hpp
- usr/lib64/lib3mf.so
- usr/lib64/lib3mf.so.2
- usr/lib64/lib3mf.so.2.3.1.0
- usr/lib64/pkgconfig/lib3mf.pc
- usr/share/doc/lib3mf-2.3.1/README.md.bz2
- var/db/pkg/media-libs/lib3mf-2.3.1/BDEPEND
- var/db/pkg/media-libs/lib3mf-2.3.1/BUILD_TIME
- var/db/pkg/media-libs/lib3mf-2.3.1/CATEGORY
- var/db/pkg/media-libs/lib3mf-2.3.1/CBUILD
- var/db/pkg/media-libs/lib3mf-2.3.1/CFLAGS
- var/db/pkg/media-libs/lib3mf-2.3.1/CHOST
- var/db/pkg/media-libs/lib3mf-2.3.1/CONTENTS
- var/db/pkg/media-libs/lib3mf-2.3.1/COUNTER
- var/db/pkg/media-libs/lib3mf-2.3.1/CXXFLAGS
- var/db/pkg/media-libs/lib3mf-2.3.1/DEFINED_PHASES
- var/db/pkg/media-libs/lib3mf-2.3.1/DEPEND
- var/db/pkg/media-libs/lib3mf-2.3.1/DESCRIPTION
- var/db/pkg/media-libs/lib3mf-2.3.1/EAPI
- var/db/pkg/media-libs/lib3mf-2.3.1/FEATURES
- var/db/pkg/media-libs/lib3mf-2.3.1/HOMEPAGE
- var/db/pkg/media-libs/lib3mf-2.3.1/INHERITED
- var/db/pkg/media-libs/lib3mf-2.3.1/IUSE
- var/db/pkg/media-libs/lib3mf-2.3.1/IUSE_EFFECTIVE
- var/db/pkg/media-libs/lib3mf-2.3.1/KEYWORDS
- var/db/pkg/media-libs/lib3mf-2.3.1/LDFLAGS
- var/db/pkg/media-libs/lib3mf-2.3.1/LICENSE
- var/db/pkg/media-libs/lib3mf-2.3.1/NEEDED
- var/db/pkg/media-libs/lib3mf-2.3.1/PF
- var/db/pkg/media-libs/lib3mf-2.3.1/PROVIDES
- var/db/pkg/media-libs/lib3mf-2.3.1/RDEPEND
- var/db/pkg/media-libs/lib3mf-2.3.1/REQUIRES
- var/db/pkg/media-libs/lib3mf-2.3.1/RESTRICT
- var/db/pkg/media-libs/lib3mf-2.3.1/SIZE
- var/db/pkg/media-libs/lib3mf-2.3.1/SLOT
- var/db/pkg/media-libs/lib3mf-2.3.1/USE
- var/db/pkg/media-libs/lib3mf-2.3.1/environment.bz2
- var/db/pkg/media-libs/lib3mf-2.3.1/lib3mf-2.3.1.ebuild
- var/db/pkg/media-libs/lib3mf-2.3.1/repository
package_cacheimage: ""
runtime:
  name: lib3mf
  version: 2.3.1
  category: media-libs
  use_flags:
  - -test
  requires:
  - name: libzip
    version: '>=0'
    category: dev-libs
  - name: util-linux
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Implementation of the 3D Manufacturing Format file standard
  uri:
  - https://3mf.io/ https://github.com/3MFConsortium/lib3mf
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig test? ( dev-cpp/gtest dev-libs/openssl dev-util/valgrind
      ) dev-util/ninja dev-util/cmake
    DEPEND: dev-libs/libzip:= sys-apps/util-linux sys-libs/zlib
    IUSE: test
    RDEPEND: dev-libs/libzip:= sys-apps/util-linux sys-libs/zlib
    emerge.packages: media-libs/lib3mf
    kit: media-kit
    original.package.name: media-libs/lib3mf
    original.package.slot: "0"
    original.package.version: 2.3.1
